.gallery-item{
  position: relative;
  width:100%;
  aspect-ratio:4/3;
  overflow:hidden;
  border-radius:12px;
  background:#f3f3f3;
}

.gallery-item img{
  width:100%;
  height:100%;
  object-fit:cover;
  cursor:pointer;
  transition:transform .4s ease, filter .4s ease;
}

.gallery-item:hover img{
  transform:scale(1.05);
  filter:brightness(1.05);
}

#modalImage {
  max-width: 80%;
  height: 50vh;       
  object-fit: contain; 
  display: block;
  margin: auto;
}

.gallery-section {
  background: #f5f7f9;
  border-radius: 18px;
  padding-inline: 1.5rem;
  box-shadow: 0 8px 24px rgba(0, 0, 0, 0.06);
}

.gallery-section:target {
  box-shadow: 0 12px 32px rgba(0,0,0,0.12);
  transform: translateY(-2px);
  transition: all .3s ease;
}

.gallery-label {
  letter-spacing: .2em;
  color: #999;
}





footer {
  background-color: #262729;
  color: white;
}


.bem-szoveg {
  max-width: 400px;
  margin: 0 auto;
}

.footerlink {
  color: white;
  font-weight: bold;
}

.footerlink:hover {
  color: #987864;
}

.fs-7 {
  font-size: 12px;
}


